import BusX
import SwiftUI

extension MeetupId {
  public struct TV: View {
    let id: String
    @StateObject var vm = VM()
    
    public init(_ id: String) {
      self.id = id
    }
    
    public var body: some View {
      TextField("TV", value: $vm.textField.v, formatter: BusUI.TextFieldSource())
        .padding(8)
        .border(Color.blue)
        .animation(.easeInOut(duration: 0.3))
      .onAppear {
        vm.setup(id)
      }
      .onChange(of: id) { newValue in
        vm.setup(newValue)
      }
    }

  }
}
